
Redmine - Feature #31231

Better handling of HTML tables when creating an issue from an email

2019-04-20 09:57 - Go MAEDA

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Email receiving Estimated time: 0.00 hour

Target version: 4.1.0   

Resolution: Fixed   

Description

In the email receiving feature, each cell in HTML tables is converted to a single line with blank lines before and after. As a result, a

table is converted to a long sparse text and the appearance is not good.

I think we can improve the appearance and readability by grouping the converted text by row.

[Input]

<table>

  <tr>

    <th>Name (en)</th>

    <th>Name (fr)</th>

    <th>Code</th>

  </tr>

  <tr>

    <td>red</td>

    <td>rouge</td>

    <td>#ff0000</td>

  </tr>

  <tr>

    <td>green</td>

    <td>vert</td>

    <td>#00ff00</td>

  </tr>

  <tr>

    <td>blue</td>

    <td>bleu</td>

    <td>#0000ff</td>

  </tr>

</table>

 [Output (before)]

Name (en)

Name (fr)

Code

red

rouge

#ff0000

green

vert

#00ff00
blue

bleu

#0000ff

 [Output (after)]

*Name (en)*

*Name (fr)*

*Code*

red

rouge

#ff0000

green

vert

#00ff00

blue

bleu

#0000ff

Related issues:

Blocked by Redmine - Defect #31232: Text may unexpectedly be enclosed in pre ... Closed

Associated revisions

Revision 18383 - 2019-08-24 08:57 - Go MAEDA

Better handling of HTML tables when creating an issue from an email (#31231).

Patch by Go MAEDA.

Revision 18384 - 2019-08-24 09:03 - Go MAEDA

Add tests for r18383 (#31231).

Patch by Mizuki ISHIKAWA.

History

#1 - 2019-04-20 10:05 - Go MAEDA

- Description updated

#2 - 2019-04-20 11:50 - Go MAEDA

- Blocked by Defect #31232: Text may unexpectedly be enclosed in pre tags when an issue is created via HTML email added

#3 - 2019-05-24 08:02 - Mizuki ISHIKAWA

- File add-tests.patch added

I have attached a patch to add a test.

#4 - 2019-06-02 01:54 - Go MAEDA

- Target version set to Candidate for next major release

#5 - 2019-08-17 11:08 - Marius BĂLTEANU

Very nice feature, but it doesn't apply cleanly on the current trunk. Can you update the patch? I would like to add support for lists (<ul>) as well.

#6 - 2019-08-17 11:08 - Marius BĂLTEANU

- Assignee set to Go MAEDA

#7 - 2019-08-18 16:34 - Go MAEDA
- File better-handling-of-html-tables-v2.patch added

- Target version changed from Candidate for next major release to 4.1.0

Updated the patch for the current trunk (r18375).

#8 - 2019-08-24 09:03 - Go MAEDA

- Status changed from New to Closed

- Resolution set to Fixed

Committed the patches.

#9 - 2019-08-24 09:04 - Go MAEDA

- Subject changed from Better conversion of HTML tables when receiving emails to Better handling of HTML tables when creating an issue from an

email

Files

better-handling-of-html-tables.patch 1.91 KB 2019-04-20 Go MAEDA

add-tests.patch 2.31 KB 2019-05-24 Mizuki ISHIKAWA

better-handling-of-html-tables-v2.patch 1.47 KB 2019-08-18 Go MAEDA
